# Generated by Django 2.2.5 on 2019-10-05 14:59

import datetime
from django.db import migrations, models
import django.db.models.deletion
from django.utils.timezone import utc


class Migration(migrations.Migration):

    dependencies = [
        ('publicacion', '0003_anuncio'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('apellidos', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254)),
                ('movil', models.IntegerField()),
                ('fijo', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'Cliente',
                'verbose_name_plural': 'Clientes',
            },
        ),
        migrations.AddField(
            model_name='anuncio',
            name='modificacion',
            field=models.DateField(default=datetime.datetime(2019, 10, 5, 14, 59, 41, 785764, tzinfo=utc)),
        ),
        migrations.AddField(
            model_name='anuncio',
            name='publicacion',
            field=models.DateField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='anuncio',
            name='creacion',
            field=models.DateField(default=datetime.datetime(2019, 10, 5, 14, 59, 41, 785764, tzinfo=utc)),
        ),
        migrations.CreateModel(
            name='Requisito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(max_length=50)),
                ('cantidad', models.IntegerField()),
                ('obligatorio', models.BooleanField(default=True)),
                ('inmueble', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Inmueble')),
            ],
        ),
        migrations.CreateModel(
            name='BitacoraContactos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('consulta', models.DateField(default=datetime.datetime(2019, 10, 5, 14, 59, 41, 786764, tzinfo=utc))),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Cliente')),
                ('inmueble', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='publicacion.Inmueble')),
            ],
            options={
                'verbose_name': 'BitacoraContacto',
                'verbose_name_plural': 'BitacoraCotactos',
            },
        ),
    ]
